#! /bin/sh
#
#umgezogen.sh (0.1) erstellt HTML-Seiten (HTML 4.01 Transitional),
#die ber einen Seitenumzug informieren.
#
#Dazu wird von jeder im Ordner liegenden Datei, die *.html matcht, eine gleichnamige im Unterordner
#umgezogen erstellt, die ber den Seitenumzug informiert, und die neue Adresse gleich mit angibt
#(sowohl als Link, als auch im metatag "refresh"). Die Refreshrate ist variabel.
#
#umgezogen.sh steht unter der GPL.
#
#Fragen, Anregungen, gefundene Fehler oder Verbesserungen werden gerne per Mail entgegen genommen.
#
#Fabian Keil (fk@fabiankeil.de)
#Updates eventuell unter http://www.fabiankeil.de/sourcecode.html

#Hier die Variablen anpassen
autor="Fabian Keil"
neueurl="http://www.fabiankeil.de/"
refreshrate=2

mkdir umgezogen 2> /dev/null #wen interessiert's, ob der Ordner noch vom letzten mal steht?

for i in *.html; do
echo $i,$autor,$neueurl,$refreshrate |awk '
 BEGIN{FS=","}
 END{
 name=$1
 autor=$2
 neueurl=$3
 refreshrate=$4
 printf "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\"> \n"
 printf "<html>\n"
 printf " <head>\n"
 printf "  <title>Umgezogen nach http://www.fabiankeil.de/%s</title>\n",name
 printf "  <meta http-equiv=\"Content-Type\" content=\"text/html; charset=ISO-8859-1\">\n"
 printf "  <meta name=\"language\" content=\"de\">\n"
 printf "  <meta name=\"author\" content=\"%s\">\n",autor
 printf "  <meta name=\"generator\" content=\"umgezogen.sh (http://www.fabiankeil.de/sourcecode.html)\">\n"
 printf "  <meta name=\"description\" content=\"Information &uuml;ber Umzug nach %s%s\">\n",neueurl,name
 printf "  <meta http-equiv=\"refresh\" content=\"%i; URL=%s%s\">\n",refreshrate,neueurl,name
 printf " </head>\n"
 printf " <body>\n"
 printf "  Diese Seite ist umgezogen, neue Adresse ist <a href=\"%s%s\">%s%s</a><br>\n",neueurl,name,neueurl,name
 printf " </body>\n"
 printf "</html>"
}' > \umgezogen\\$i
#Auskommentieren falls Statusmeldungen erwnscht sind
#printf "%s\n"$i
done